> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/query-analytics-and-operations/querying/field-values-vector-search.md).

# Field Values Vector Search

Operations for finding field values that are semantically similar to a search term.

## GET /datamarts/{datamart\_id}/field\_values\_vector\_search

> Search for field values semantically similar to a given term

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Field Values Vector Search","description":"Operations for finding field values that are semantically similar to a search term."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/field_values_vector_search":{"get":{"operationId":"getFieldValuesVectorSearch","tags":["Field Values Vector Search"],"summary":"Search for field values semantically similar to a given term","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EmbeddingSearchResult"}},"status":{"type":"string","enum":["ok"]},"first_result":{"type":"integer"},"total":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"datamart_id","in":"path","style":"simple","required":true,"schema":{"type":"string"},"explode":false},{"description":"The term to embed and search","in":"query","required":true,"name":"search_term","schema":{"type":"string"},"explode":true,"style":"form"},{"description":"Maximum number of results to return (default 25, max 25)","required":false,"schema":{"type":"integer","format":"int32"},"name":"max_results","in":"query","explode":true,"style":"form"},{"required":false,"style":"form","explode":true,"description":"Minimum similarity score (dot product + 1.0, default 1.4)","schema":{"type":"number","format":"float"},"name":"score_threshold","in":"query"}],"description":""}}},"components":{"schemas":{"EmbeddingSearchResult":{"type":"object","properties":{"value":{"type":"string","readOnly":false},"score":{"type":"number","format":"float","default":0,"readOnly":false},"fields":{"type":"array","items":{"$ref":"#/components/schemas/FieldOccurrence"},"readOnly":false}},"required":["fields","score","value"]},"FieldOccurrence":{"type":"object","properties":{"field_path":{"type":"string","readOnly":false},"count":{"type":"integer","format":"int64","default":0,"readOnly":false}},"required":["count","field_path"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/query-analytics-and-operations/querying/field-values-vector-search.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
